/*
 * Copyright 2002 Farfpeuf/ AdetSoft. All rights reserved.
 * Use is subject to license terms.
 */
package fb.gui.panels;

import javax.swing.JPanel;

import fb.main.Battle;
import fb.util.FBColors;
import fb.util.PercentageLayout;

/**
 * panel to display remote computers players
 * 
 * @author Farfpeuf
 */
public class NetworkPlayersPanel extends JPanel {

	/**
	 * the network players table
	 */
	private PlayersTable plaTable = new PlayersTable(false, Battle
			.getInstance().getPlayersHandler().getNetPlayersTableModel());

	/**
	 * constructor build and assemble panel elements
	 */
	public NetworkPlayersPanel() {
		setLayout(new PercentageLayout());
		setBackground(FBColors.background);
		add(plaTable, new PercentageLayout.Constraint(0, 0, 100, 100));
		validate();
		repaint();

	}

}
