/*
 * Copyright 2002 Farfpeuf/ AdetSoft. All rights reserved.
 * Use is subject to license terms.
 */
package fb.gui.widgets;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JMenuItem;
import javax.swing.JPopupMenu;

/**
 * a fantasy battlefields custom popup button
 * 
 * @author Farfpeuf
 */
public class FBPopUpButton extends FBButton {

	/**
	 * the button popup menu
	 */
	private JPopupMenu popup;

	/**
	 * constructor
	 * 
	 * @param text
	 *            the button label
	 */
	public FBPopUpButton(String text) {
		super(text);
		popup = new JPopupMenu();
		addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				showPopUp();
			}
		});
	}

	/**
	 * Appends the specified menu item to the end of this menu.
	 * 
	 * @param menuItem
	 *            the <code>JMenuItem</code> to add
	 */
	public void add(JMenuItem item) {
		popup.add(item);
	}

	/**
	 * Displays the button popup menu
	 */
	private void showPopUp() {
		popup.show(this, 0, this.getHeight());
	}
}
