/*
 * Copyright 2002 Farfpeuf/ AdetSoft. All rights reserved.
 * Use is subject to license terms.
 */
package fb.gui.widgets;

import java.awt.Component;

import javax.swing.JLabel;
import javax.swing.JTable;
import javax.swing.table.TableCellRenderer;

import fb.util.FBColors;

/**
 * a fantasy battlefields custom table cell renderer for string values
 * 
 * @author farfpeuf
 * 
 */
public class StringRenderer extends JLabel implements TableCellRenderer {
	/**
	 * TableCellRenderer implementation
	 */
	public Component getTableCellRendererComponent(JTable table, Object arg1,
			boolean selected, boolean focus, int arg4, int arg5) {

		if (selected)
			setForeground(FBColors.highlightedText);
		else
			setForeground(FBColors.standardText);

		setText(arg1 == null ? null : arg1.toString());
		return this;
	}

	/**
	 * constructor
	 * 
	 */
	public StringRenderer() {
		super();
		setOpaque(false);
		setForeground(FBColors.standardText);
		setHorizontalAlignment(JLabel.CENTER);
	}
}