/*
 * Copyright 2002 Farfpeuf/ AdetSoft. All rights reserved.
 * Use is subject to license terms.
 */
package fb.network;

import java.util.LinkedList;

/**
 * network messages queue
 * 
 * @author farfpeuf
 * 
 */
public class MessagesQueue extends LinkedList {

	/**
	 * enqueue a message
	 * 
	 * @param str
	 *            the message
	 */
	public synchronized void enqueue(String str) {
		addLast(str);
		notifyAll();
	}

	/**
	 * dequeue a message
	 * 
	 * @return the message
	 */
	public synchronized String dequeue() {

		while (size() < 1) {

			try {
				wait();
			} catch (InterruptedException e) {
			}

		}

		notifyAll();
		return (String) removeFirst();

	}

}